%define apachedir /etc/httpd
%define apacheuser apache 
%define apachegroup apache
%define contentdir /usr/share

Summary: The Horde web-based File Manager.
Name: gollem-h3
Version: 1.0.1
Release: 1.centos4
License: GPL
Group: Applications/Internet
Source: ftp://ftp.horde.org/pub/gollem/gollem-h3-%{version}.tar.gz
#Source1: gollem.conf
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot 
Requires: php >= 4.3.0
Requires: httpd >= 2.0.46
Requires: horde >= 3.0
Obsoletes: gollem
Provides: gollem
Prereq: /usr/bin/perl
AutoReq: no

%description
Gollem is a web-based File Manager, providing the ability to fully manage
a hierarchical file system stored in a variety of backends such as a SQL
database, as part of a real filesystem, or on an FTP server.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with gollem)
please visit http://www.horde.org/.

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf.d
#cp -p $RPM_SOURCE_DIR/gollem.conf $RPM_BUILD_ROOT%{apachedir}/conf.d
mkdir -p $RPM_BUILD_ROOT%{contentdir}/horde/gollem
cp -pR * $RPM_BUILD_ROOT%{contentdir}/horde/gollem
cd $RPM_BUILD_ROOT%{contentdir}/horde/gollem/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre

%post

%postun

%files
%defattr(-,root,root)
# Apache gollem.conf file
#%config %{apachedir}/conf.d/gollem.conf
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/horde/gollem
# Include top-level files by hand
%{contentdir}/horde/gollem/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/horde/gollem/lib
%{contentdir}/horde/gollem/locale
%{contentdir}/horde/gollem/po
#%{contentdir}/horde/gollem/scripts
%{contentdir}/horde/gollem/templates
%{contentdir}/horde/gollem/themes
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/horde/gollem/COPYING
%doc %{contentdir}/horde/gollem/README
%docdir %{contentdir}/horde/gollem/docs
%{contentdir}/horde/gollem/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/horde/gollem/config
%defattr(640,root,%{apachegroup})
#%{contentdir}/horde/gollem/config/.htaccess
%{contentdir}/horde/gollem/config/*.dist
%config %{contentdir}/horde/gollem/config/*.php
%config %{contentdir}/horde/gollem/config/*.xml

%changelog
* Mon Dec 12 2005 Johnny Hughes <johnny@centos.org> 1.0.1-1.centos4
- Rolled in upstream changes to version 1.0.1

* Sat Oct 29 2005 Johnny Hughes <johnny@centos.org> 1.0-1.centos4
- Initial build for CentOS4
- Changed the html location to be consistent w/CentOS web apps (/usr/share)
